import { HTMLAttributes, ReactElement } from 'react';
import { IconProps, IconWrapperProps } from '../../icon/icon.types';

export type SegmentedButton = IconWrapperProps & {
    icon?: string;
    toggled?: boolean;
    centralRipple?: boolean;
    children?: string | ReactElement<IconProps>;
};

export interface SegmentedButtons {
    toggled?: boolean;
    children?: ReactElement<HTMLButtonElement>[];
}

export type SegmentedButtonsProps = SegmentedButtons &
    HTMLAttributes<HTMLDivElement>;
